uniform vec3 u_color;
varying vec3 vNormal;

void main() {
    float intensity = pow(0.7 - dot(vNormal, vec3(0, 0, 1.0)), 2.0); // ยิ่งมองตรงขอบ ยิ่งสว่าง
    gl_FragColor = vec4(u_color, intensity);
}